Edit rule (editrule)
Update an existing style guide rule.
Update an existing style guide rule.
Request
See HTTP API Overview.
Parameters
cmd
string
Yes
style_guide
Command name.
action
string
Yes
editrule
Action name.
collection
string
Yes
A name of the collection in which rules are stored.
lang
string
No
common
Language scope that contains the rule (example: en_US or en).
rule
string
Yes
Rule ID to update. Use lang + rule to uniquely target it.
patterns
string[]
No
New patterns. Replaces the whole array.
suggestions
string[]
No
New suggestions. Replaces the whole array.
state
boolean
No
Enables/disables the rule.
context_include
string[]
No
New include context. Replaces the whole array.
context_exclude
string[]
No
New exclude context. Replaces the whole array.
description
string
No
New message.
Provide at least one updatable field.
Behavior
Updates only the provided fields.
Returns the updated rule in
result.
Response
Updated single rule object with updated rule ID is returned.
See Response schema.
Errors
See:
Examples
Disable rule:
Was this helpful?

